aboutsummaryrefslogtreecommitdiff
path: root/src/connman/connmand-daemon
diff options
context:
space:
mode:
Diffstat (limited to 'src/connman/connmand-daemon')
-rwxr-xr-xsrc/connman/connmand-daemon44
1 files changed, 44 insertions, 0 deletions
diff --git a/src/connman/connmand-daemon b/src/connman/connmand-daemon
new file mode 100755
index 0000000..aff1dde
--- /dev/null
+++ b/src/connman/connmand-daemon
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+DESC="Connection Manager"
+NAME="connmand"
+ARGS=""
+DAEMON="/usr/sbin/$NAME"
+
+PID=`pidof -o %PPID ${DAEMON}`
+case "$1" in
+ start)
+ stat_busy "Starting ${DESC}"
+ if [ -z "$PID" ]; then
+ ${DAEMON} ${ARGS}
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon ${NAME}
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping ${DESC}"
+ [ ! -z "$PID" ] && killall ${DAEMON} &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon ${NAME}
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+ ;;
+esac
+exit 0